/*
 * EmptyValidator.hpp
 *
 *  Created on: Jun 26, 2013
 *      Author: heber
 */

#ifndef EMPTYVALIDATOR_HPP_
#define EMPTYVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>
#include <vector>

#include "Parameters/Validators/DiscreteValidator.hpp"

/** A validator test that only allows empty strings.
 *
 * We use a DiscreteValidator with a single empty string value.
 *
 */
class EmptyStringValidator : public DiscreteValidator<std::string>
{
public:
  EmptyStringValidator() :
    DiscreteValidator<std::string>(std::vector<std::string>(1, std::string("")))
  {}
};

#endif /* EMPTYVALIDATOR_HPP_ */
